Bug 293781 - pidgin.desktop: put app name in Name=
pidgin.desktop: put app name in Name=
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 315221 F12Target
  Show dependency treegraph
 
Reported: 2007-09-17 15:41 EDT by Rex Dieter
Modified: 2010-04-27 08:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 08:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2007-09-17 15:41:47 EDT
Per discussion:
https://www.redhat.com/archives/fedora-devel-list/2007-September/msg01381.html

Please update .desktop files to include the name of the app (pidgin) in the Name=
field, ie,
pidgin.desktop to contain (something like):
Name=pidgin
or
Name=pidgin Internet Messenger
(if using the latter, don't include any 
GenericName=
entries)
Comment 1 Stu Tomlinson 2008-03-09 13:44:56 EDT
Pidgin upstream uses:
Name=Pidgin Internet Messenger
GenericName=Internet Messenger

Is that acceptable?
Comment 2 Rex Dieter 2008-03-09 17:23:19 EDT
Shrug, a slight improvement, but still far from ideal.

Preferred (follows fdo .desktop spec):
Name=Pidgin
GenericName=Internet Messenger

Alternatively, what some have proposed since gnome doesn't currently support
GenericName:
Name=Pidgin Internet Messenger
and don't use GenericName *at all*.
Comment 3 Rex Dieter 2008-03-09 17:23:48 EDT
In short, Name/GenericName shouldn't overlap content.
Comment 4 Stu Tomlinson 2008-03-11 23:48:19 EDT
I don't want to "follow fdo .desktop spec" until gnome will display something
more useful to the end user than just "Pidgin" in the menus, so the alternative
of not specifying GenericName at all is probably what I'd prefer.

I guess "sed -i -e '/^GenericName/d;' pidgin.desktop" prior to install is in order?
Comment 5 Bug Zapper 2008-05-13 23:14:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Rex Dieter 2009-06-29 22:32:03 EDT
Re-opening, please reconsider.

The latest version in Fedora 11 still contains simply
Name=Internet Messenger

This seems to be one of the last items in the entire distribution still not conforming.
Comment 7 Bug Zapper 2010-04-27 07:46:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Rex Dieter 2010-04-27 08:05:00 EDT
Name=Pidgin Instant Messenger
on f13, which is much better, thanks.

Note You need to log in before you can comment on or make changes to this bug.